#import <objc/Object.h>
#import "ColorMap.h"
#import "common.h"

@interface ImageSave:Object
{
	id	toyWin;
	id	toyView;
}

+ (char *)mk_tmpname:(const char *)path ext:(const char *)ex nopath:(BOOL)flag;

- initWithWin: aToyWin;
- (char *)getSavename: (const char *)path with:(int)itype;
- saveAsTiff: sender;
- saveAsEPS: sender;
- saveAsType: (int)itype;

@end


@interface ImageSave (SaveXBM)

- saveAsXBM: sender;

@end

@interface ImageSave (SaveGIF)

- (int)getPalette:(ColorMap *)colormap info:(commonInfo *)cinf
	map:(unsigned char **)map needAlpha:(BOOL)alflag err:(int *)code;
- (char *)saveAsGif: (char *)gifname;
- saveAsPng: sender;

@end

/* This data is used by ImageSave family */
extern char saveDir[];
extern char *appDir;
